# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pyfribidi
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-pyfribidi
Version:        0.11.0
Release:        alt1_3
Summary:        A Python binding for GNU FriBidi

Group:          Development/Python
License:        GPLv2+
#URL:            http://pyfribidi.sourceforge.net/
URL:		https://github.com/pediapress/pyfribidi
#Source0:        http://downloads.sourceforge.net/pyfribidi/pyfribidi-%{version}.tar.bz2
Source0:	pediapress-pyfribidi-0.11.0-0-g7356e84.tar.gz
# Patches courtsey of Debian
#Patch0:         buffer_overflow.diff
#Patch1:         testbigString.diff

BuildRequires:  python-devel
BuildRequires:  fribidi-devel
Source44: import.info

%description
PyFriBidi is a simple Python binding for FriBidi, providing an
implementation of The Unicode Bidirectional Algorithm in Python.


%prep
%setup -n %{oldname}-%{version} -qn pediapress-pyfribidi-7356e84
#%patch0 -p1
#%patch1 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
ln -s build/lib.linux-*/pyfribidi.so .
python test_pyfribidi.py

 
%files
%doc AUTHORS COPYING ChangeLog
%{python_sitelibdir}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1_3
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.11.0-alt1_2
- initial fc import

